NX Open C++ Reference Guide
NXOpen::Features::ShipDesign::InteractiveAnnotationBuilder Member List

This is the complete list of members for NXOpen::Features::ShipDesign::InteractiveAnnotationBuilder, including all inherited members.

AddAnnotationOfBracket(bool createBracketSymbol, NXOpen::Drawings::DraftingBody *draftingbody)NXOpen::Features::ShipDesign::InteractiveAnnotationBuilder
AddAnnotationOfEndCuts(bool createEndCutsSymbol, NXOpen::Drawings::DraftingBody *draftingBody)NXOpen::Features::ShipDesign::InteractiveAnnotationBuilder
AddAnnotationOfExpansionPlate(NXOpen::Drawings::DraftingView *tgView, NXOpen::NXObject *shipStructure, bool createScantlingAnnotation)NXOpen::Features::ShipDesign::InteractiveAnnotationBuilder
AddAnnotationOfExpansionStiffenerEndCuts(NXOpen::Drawings::DraftingView *tgView, NXOpen::NXObject *shipStructure, bool createEndCutsSymbol)NXOpen::Features::ShipDesign::InteractiveAnnotationBuilder
AddAnnotationOfExpansionStiffenerSturctureIdAndScantling(NXOpen::Drawings::DraftingView *tgView, NXOpen::NXObject *shipStructure, bool createIDAnnotation, bool createScantlingAnnotation)NXOpen::Features::ShipDesign::InteractiveAnnotationBuilder
AddAnnotationOfOpeningFillingLine(bool createOpeningFillingLine, NXOpen::Drawings::DraftingBody *draftingbody)NXOpen::Features::ShipDesign::InteractiveAnnotationBuilder
AddAnnotationOfSeamForDetailDesign(bool createSeamSymbol, NXOpen::Drawings::DraftingView *tgView, const std::vector< NXOpen::Drawings::DraftingBody * > &objects, NXOpen::Drawings::DraftingBody *selectedObjecty)NXOpen::Features::ShipDesign::InteractiveAnnotationBuilder
AddAnnotationOfStructureIdAndScantling(bool createIDAnnotation, bool createScantlingAnnotation, NXOpen::Drawings::DraftingBody *draftingBody)NXOpen::Features::ShipDesign::InteractiveAnnotationBuilder
AddFillingLineByChain(const std::vector< NXOpen::Drawings::DraftingCurve * > &curves, bool createChainAnnotation)NXOpen::Features::ShipDesign::InteractiveAnnotationBuilder
AddFillingLineByPoints(NXOpen::Point *spiderPoint, NXOpen::Point *strikingPoint)NXOpen::Features::ShipDesign::InteractiveAnnotationBuilder
AddFillingLinesByModelBody(NXOpen::Drawings::DraftingBody *draftingbody, const std::vector< NXOpen::Drawings::DraftingCurve * > &curves)NXOpen::Features::ShipDesign::InteractiveAnnotationBuilder
Builder() (defined in NXOpen::Builder)NXOpen::Builderprotected
Commit()NXOpen::Builder
CreateTable()NXOpen::Features::ShipDesign::InteractiveAnnotationBuilder
DeleteExistingAnnotations()NXOpen::Features::ShipDesign::InteractiveAnnotationBuilder
DeleteLines(const std::vector< NXOpen::Drawings::DraftingCurve * > &curves)NXOpen::Features::ShipDesign::InteractiveAnnotationBuilder
DeleteOpeningFillingLine(NXOpen::Line *line)NXOpen::Features::ShipDesign::InteractiveAnnotationBuilder
Destroy()NXOpen::Builder
GetCommittedObjects()NXOpen::Builder
GetObject()NXOpen::Builder
GetTableIndex()NXOpen::Features::ShipDesign::InteractiveAnnotationBuilder
HandleAnnotationForBasicDesign(bool createIDAnnotation, bool createScantlingAnnotation, bool createEndCutsAnnotation, NXOpen::Drawings::DraftingCurve *draftingVDCurve, NXOpen::NXObject *shipEntity, NXOpen::Drawings::DraftingView *view)NXOpen::Features::ShipDesign::InteractiveAnnotationBuilder
HandleSeamForNonSectionedPlateForBasicDesign(bool createSeamSymbol, NXOpen::Drawings::DraftingCurve *draftingVDCurve, NXOpen::NXObject *tgCurve)NXOpen::Features::ShipDesign::InteractiveAnnotationBuilder
HandleSeamForSectionedPlateForBasicDesign(bool createSeamSymbol, NXOpen::Drawings::DraftingBody *tgDraftingBody, const std::vector< NXOpen::Drawings::DraftingCurve * > &objects, NXOpen::Drawings::DraftingCurve *selectedObject)NXOpen::Features::ShipDesign::InteractiveAnnotationBuilder
InteractiveAnnotationBuilder() (defined in NXOpen::Features::ShipDesign::InteractiveAnnotationBuilder)NXOpen::Features::ShipDesign::InteractiveAnnotationBuilderprotected
ModifyFillingLineByPoints(NXOpen::Point *spiderPoint, NXOpen::Point *strikingPoint, NXOpen::Line *line)NXOpen::Features::ShipDesign::InteractiveAnnotationBuilder
SetPosition(const std::vector< double > &pos)NXOpen::Features::ShipDesign::InteractiveAnnotationBuilder
SetTableIndex(int inx)NXOpen::Features::ShipDesign::InteractiveAnnotationBuilder
ShowResults()NXOpen::Builder
Tag() const NXOpen::TaggedObject
TaggedObject() (defined in NXOpen::TaggedObject)NXOpen::TaggedObject
Validate()NXOpen::Buildervirtual
~Builder() (defined in NXOpen::Builder)NXOpen::Builder
~IComponentBuilder() (defined in NXOpen::GeometricUtilities::IComponentBuilder)NXOpen::GeometricUtilities::IComponentBuildervirtual
~InteractiveAnnotationBuilder() (defined in NXOpen::Features::ShipDesign::InteractiveAnnotationBuilder)NXOpen::Features::ShipDesign::InteractiveAnnotationBuilder
~TaggedObject() (defined in NXOpen::TaggedObject)NXOpen::TaggedObjectvirtual
Copyright 2017 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.